<chapter id="installation">
<title
>Instalação </title>

<epigraph>
<attribution
>Linus Torvalds, after finding one of his file systems smashed by a
new Beta kernel</attribution>
<para
>Fazer core dumping do fsck me faz ficar nervoso</para>
</epigraph>

<para
>Não se preocupe! Embora o uso de algum software Beta possa causar alguma aflição, não é normal que a instalação do KDE destrua o seu disco rígido. De fato, este capítulo é planejado para guiá-lo através do processo de instalação de modo que possa dar uma olhada o mais rápido possivel na sua nova área de trabalho (e sem muita aflição). Como em todas as instalações de um novo Gerenciador de Janelas, é aconselhável fazer cópias de segurança dos arquivos de configuração específicos do X11 antes de começar a instalação. Se não sabe a localização exata deles, tente todos os arquivos ocultos (<filename
>.*</filename
>) no seu diretório base e no diretório <filename
>/usr/X11/lib/X11/xdm</filename
>. </para
> 

<sect1 id="requirements">
<title
>Requisitos </title>

<para
>Antes de instalar o KDE, certifique-se que o seu sistema preenche os seguintes requisitos: </para>

<itemizedlist
> <listitem
><para
>Um sistema UNIX compatível POSIX. Dentre os UNIXs que reconhecidamente trabalham com o KDE estão o: Linux, FreeBSD, Solaris, HP-UX, e MkLinux. Estamos trabalhando para tornar o KDE disponível brevemente em mais plataformas. </para
></listitem
> <listitem
><para
>Algum espaço livre na partição do disco rígido onde <filename
>/opt/kde</filename
> vai ser criado. Recomendamos que você reserve cerca de 50MB se o seu sistema suportar bibliotecas compartilhadas, e consideravelmente mais se não. Se precisar ou quiser construir o KDE a partir da árvore de códigos fontes, por favor lembre-se de reservar cerca de 100MB em <filename
>/usr/src</filename
>.</para
></listitem
> <listitem
><para
>Um sistema X11 sendo executado com ou sem <application
>xdm</application
>. Se ainda não instalou o Sistema de Janelas X, primeiro procure na sua mída de instalação do UNIX por uma versão instalável. Se não conseguir encontrar nenhuma versão que funcione, visite <ulink url="http://www.xfree86.org"
>O site web do XFree86</ulink
> para mais informações em como obter e instalar o Sistema de Janelas X, ou contacte o seu vendedor de suporte UNIX. </para
></listitem
> <listitem
><para
>As bibliotecas Qt, versão 3.0.2. Você pode obtê-las em <ulink url="ftp://ftp.trolltech.com/qt"
>Servidor FTP da Troll Tech</ulink
> no formato tgz. </para
> </listitem
> </itemizedlist>

<warning
><para
>Um aviso antes de começar: Antes de atualizar a sua versão anterior do KDE, recomendamos que faça o seguinte:</para>

<screen
> 
<command
>cd <filename
>/opt/kde</filename
></command
> 
<command
>tar <option
>cfvz <replaceable
>~/KDE-versao-velha-backup.tar.gz</replaceable
> * </option
></command>
</screen>
</warning>

</sect1>

<sect1 id="linux-installing-rpms">
<title
>Linux: Instalando RPMs para o RedHat, Caldera e SuSE.</title>

<para
>O uso de RPMs é a maneira mais fácil de instalar o KDE. Basta visitar o seu 'mirror' favorito do KDE e acessar o diretório <filename
>/pub/kde/stable/distribution/rpm</filename
>. Aí, você pode ver diretórios para diferentes sistemas operacionais. Atualmente, as arquitecturas i386, alpha e sparc são suportadas. Os pacotes RPM podem também ser encontrados em servidores com arquivos da Red Hat, como o sunsite.unc.edu ou ftp.redhat.com. </para>

<para
>O sistema básico consiste dos arquivos <filename
>kde-<replaceable
>componente</replaceable
>.<replaceable
>arquitetura</replaceable
>.rpm</filename
> Você precisa pelo menos do kdesupport, do kdelibs e do kdebase. Depois de realizar a instalação básica, sinta-se à vontade para baixar quaisquer outros RPMs que pense ser útil. </para>

<para
>A seguir, começar a instalar com o pacote básico. Se está instalando o KDE pela primeira vez, use </para>

<screen
> 
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdesupport.arch.rpm</filename
></userinput>
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdelibs.arch.rpm</filename
></userinput>
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdebase.arch.rpm</filename
></userinput>
</screen>
 
<important
><para
>É importante que estes componentes sejam instalados na ordem indicada, e que sejam instalados antes de qualquer outro componente do KDE.</para
></important>

<para
>Se está atualizando uma versão anterior, tente <screen
> 
<userinput
><command
>rpm</command
> <option
>-Uvh</option
> <filename
>kde-<replaceable
>componente</replaceable
>.<replaceable
>arq</replaceable
>.rpm</filename
></userinput>
</screen
> </para>

<para
>Mais uma vez, a ordem dada acima deve ser mantida, e estes componentes instalados antes de quaisquer outros componentes do KDE.</para>

<para
>Isto irá desempacotar a distribuição básica e instalá-la por padrão em <filename
>/opt/kde</filename
>.</para>

<para
>Se a instalação dos pacotes básicos for concluída com sucesso, você pode instalar os pacotes restantes (use <option
>-Uvh</option
> em vez de <option
>-i</option
> mais uma vez para atualizar uma versão existente) da mesma maneira. </para>

</sect1>

<sect1 id="installing-debian">
<title
>Linux: instalando <acronym
>DEB</acronym
>s para o debian</title>

<para
>A instalação num sistema Debian é também bastante direta. Só irá encontrar pacotes KDE 2.0 para o Debian 2.2 (Potato) e 3.0 (Woody). Descreve-se aqui como instalar pacotes para o Debian 2.2., a versão estável, já que o Debian 3.0 está ainda em desenvolvimento. No entanto, a instalação de ambas as versões é quase idêntica. A maior diferença é o KDE ser oficialmente incluído no Debian 3.0 e não precisa de indicar nenhum local especial para encontrar os pacotes deb para o KDE.</para>

<para
>O primeiro passo é dizer ao seu sistema onde pode encontrar os pacotes deb para o KDE. Uma lista de locais para os pacotes Debian é mantida no seu disco rígido em <filename
>/etc/apt/sources.list</filename
>. Deve acrescentar a esse arquivo a seguinte linha: <userinput
>http://kde.tdyc.com/ stable kde2</userinput
></para>

 
<para
>Em seguida tem que atualizar a sua base de dados local de pacotes para que o seu sistema saiba que existem novos pacotes disponíveis. Digite o seguinte comando:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>update</option
></userinput>
</screen>
 
<para
>Finalmente deve instalar os componentes básicos do KDE. Isto é feito digitando:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install kdebase</option
></userinput>
</screen>
 
<para
>Se quiser instalar outros componentes você pode tentar algumas, ou todas estas opções:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install task-kdenetwork</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeadmin</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdetoys</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeutils</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdemultimedia</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegraphics</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdepim</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegames</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-koffice</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdebase-docs</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdm</option
></userinput>
</screen>

<para
>Você pode também estar interessado em instalar suporte para seu idioma.</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install
kde-i18n-<replaceable
>xx</replaceable
></option
></userinput>
 </screen>
<para
>onde <replaceable
>xx</replaceable
> tem de ser substituído pelo código do país.</para>

<para
>Os arquivos de controle de alguns aplicativos do KDE irão ser colocados em <filename class="directory"
>/etc/kde2</filename
>, os executáveis irão para <filename class="directory"
>/usr/bin</filename
> e a maioria dos arquivos auxiliares para <filename class="directory"
>/usr/share</filename
> sob diferentes diretórios. </para>

<para
>Se está atualizando uma versão anterior do KDE deve realizar os seguintes passos. Primeiro, atualize o arquivo <filename
>/etc/apt/sources.list</filename
> mudando a linha com a localização dos pacotes KDE com a linha: <userinput
>http://kde.tdyc.com/ stable kde2</userinput
>. Segundo atualize a sua base de dados de pacotes:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>update</option
></userinput>
</screen>
 
<para
>Finalmente instale o sistema básico do KDE:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install kdebase</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>dist-upgrade</option
></userinput>
</screen>
 
<para
> Se quiser instalar mais componentes do KDE tente algumas, ou todas estas opções.</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install task-kdenetwork</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeadmin</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdetoys</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeutils</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdemultimedia</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegraphics</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdepim</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegames</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-koffice</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdebase-docs</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdm</option
></userinput>
</screen>

</sect1>

<sect1 id="source-distribution">
<title
>Utilizando o Código Fonte para Instalar em Cima de Outros Sistemas </title>

<para
>Se a sua distribuição Linux não veio com um arquivo no formato RPM ou DEB, ou não está sequer usando o Linux, deve compilar o KDE você mesmo. No futuro, estamos planejando fonecer uma distribuição binária que inclua os seus próprios programas de instalação. </para>

<para
>Para compilar e instalar o KDE corretamente, você deve ter os seguintes elementos instalados no seu disco rígido: </para>

<itemizedlist
> <listitem
><para
>Um compilador ANSI-C, <abbrev
>por ex.</abbrev
> o compilador <abbrev
>GNU</abbrev
> C. </para
></listitem
> <listitem
><para
>Um compilador ANSI-C++, <abbrev
>por ex.</abbrev
> o compilador <abbrev
>GNU</abbrev
> C++. </para
></listitem
> <listitem
><para
>O utilitário <application
>make</application
>. </para
></listitem
> <listitem
><para
>A versão de desenvolvimento 2.2 ou superior do Qt.</para
></listitem
> <listitem
><para
>A versão de desenvolvimento do X11 (os arquivos include estão muitas vezes em falta) </para
></listitem
> </itemizedlist>

<para
>Assim que tiver todos os aplicativos auxiliares necessários, vá ao seu espelho KDE favorito e obtenha os seguintes arquivos do diretório <filename
>/pub/kde/stable/<replaceable
>versão mais recente</replaceable
></filename
>:</para>

<itemizedlist
> <listitem
><para
><filename
>kdesupport-<replaceable
>versão</replaceable
>.tar.gz</filename
></para
></listitem
> <listitem
><para
><filename
>kdelibs-<replaceable
>versão</replaceable
>.tar.gz</filename
> </para
></listitem
> <listitem
><para
><filename
>kdebase-<replaceable
>versão</replaceable
>.tar.gz</filename
></para
></listitem
> <listitem
><para
>qualquer outro pacote que deseje instalar. Aconselhamos a obter pelo menos o kdeutils. </para
></listitem
> </itemizedlist>

<para
>Em todos os casos acima, <replaceable
>versão</replaceable
> aparece em vez do número da atual versão. Assim que tiver baixado todos os arquivos necessários, coloque esses arquivos em <filename
>/usr/src</filename
>. Este processo deve ter a seguinte estrutura de diretórios:</para>

<itemizedlist
> <listitem
><para
><filename
>/usr/src/kdesupport</filename
></para
></listitem
> <listitem
><para
><filename
>/usr/src/kdelibs</filename
></para
></listitem
> <listitem
><para
><filename
>/usr/src/kdebase</filename
></para
></listitem
> <listitem
><para
><filename
>/usr/src/...</filename
> (todos os outros pacotes)</para
></listitem
> </itemizedlist>

<para
>Tenha a certeza de que tem permissão de escrita para <filename
>/opt/kde</filename
>.</para>

<para
>A seguir você deve compilar e instalar os pacotes usando o seguinte: </para>

<procedure
> <step
><para
><command
>cd</command
> para o diretório do pacote, que quer instalar (veja acima)</para
></step
> <step
><para
><command
>./configure</command
> (com as opções que quer aplicar)</para
></step
> <step
><para
><command
>make</command
></para
></step
> <step
><para
><command
>make install</command
></para
></step
> </procedure>

<para
>Use os passos acima para todo o pacote que queira instalar.</para>

<note
><para
>Estas instruções podem ser usadas para quase todos os pacotes de fontes disponíveis, não só pacotes KDE. </para
></note>

<para
>Todos o 'scripts' de configuração têm várias opções disponíveis. Algumas são comuns entre pacotes enquanto que outras são específicas a um pacote em particular. O seguinte é parte do resultado de <command
>configure <option
>--help</option
></command
> em kdelibs:</para>

<screen>
<computeroutput>
  --disable-fast-perl     disable fast Makefile generation (needs perl)
  --enable-debug          creates debugging code [default=no]
  --enable-strict         compiles with strict compiler options (may not work!)
  --enable-profile        creates profiling infos [default=no]
  --enable-final          build size optimized apps (experimental - needs lots of memory)
  --disable-closure       don't delay template instantiation
  --enable-shared[=PKGS]  build shared libraries [default=yes]
  --enable-static[=PKGS]  build static libraries [default=no]
  --enable-fast-install[=PKGS]  optimize for fast installation [default=yes]
  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
  --disable-libtool-lock  avoid locking (might break parallel builds)
  --with-pic              try to use only PIC/non-PIC objects [default=use both]
  --with-extra-includes=DIR
                          adds non standard include paths
  --with-extra-libs=DIR   adds non standard library paths
  --with-qt-dir=DIR       where the root of Qt is installed
  --with-qt-includes=DIR  where the Qt includes are.
  --with-qt-libraries=DIR where the Qt library is installed.
  --disable-rpath         do not use the rpath feature of ld
  --disable-path-check    don't try to find out, where to install
  --with-xdmdir           If the xdm config dir can't be found automaticly
  --with-pam[=ARG]        enable support for PAM: ARG=[yes|no|service name]
  --with-shadow           If you want shadow password support
  --with-krb4[=PATH]      Compile in Kerberos v4 support.
  --with-afs              Compile in AFS support (requires KTH krb4).
  --with-ldap[=PATH]      Compile in LDAP support.
  --with-samba-libs=path  Use Samba-tng libs in 'path'                [search]
  --without-gl            disable 3D GL modes
  --without-xpm           disable color pixmap XPM tests
  --without-dpms          disable DPMS power saving
  --with-x                use the X Window System
  --with-motif-includes=DIR    Motif include files are in DIR
  --with-motif-libraries=DIR   Motif libraries are in DIR                           
</computeroutput>
</screen>

<para
>Várias opções não são necessárias e são só úteis para contornar problemas conhecidos (<abbrev
>por ex.</abbrev
> <option
>--disable-FEATURE</option
>). Como algumas são opções importantes, por exemplo <emphasis
>--with-shadow</emphasis
>, deve verificar sempre as opções disponíveis.</para>

<para
>Uma opção importante é <option
>--prefix</option
>. Esta opção especifica o caminho onde o configure  deve instalar (para o kdesupport e o kdelibs) ou onde procurar bibliotecas (para os outros pacotes). Por padrão, configure irá procurar em <filename
>/opt/kde</filename
>. Se você quer instalar o KDE em <filename
>/usr/local/kde</filename
>, tem que usar <command
>configure <option
>--prefix /usr/local/kde</option
></command
>.</para>

<para
>Se instalou as bibliotecas do Qt num local fora do normal, por exemplo em <filename
>$HOME/src/qt</filename
>, deve usar <command
>configure <option
>--with-qt-dir=$HOME/src/qt</option
></command
>. Por padrão o configure procura o Qt nos locais mais comuns antes de desistir.</para>

<para
>Se tem problemas que não consegue resolver, mande uma cópia do arquivo <filename
>config.log</filename
> para o endereço no arquivo <filename
>README</filename
> do pacote em causa.</para>

<para
>Você deve instalar o KDE na seguinte ordem: kdesupport, kdelibs, depois os pacotes dos aplicativos (por exemplo kdebase). Todos os pacotes dos aplicativos somente devem depender de kdelibs, para que possa compilá-los ao mesmo tempo (se tiver uma máquina poderosa).</para>

<para
>Se quer tirar proveito dos sistemas multiprocessados, tente <command
>make <option
> -j <replaceable
>Número de processadores</replaceable
></option
></command
> em vez de <command
>make</command
>. </para>

<sect2>
<title
>Notas Específicas por Plataforma de Construção </title>

<sect3>
<title
>Linux </title>

<para
>Para o Linux, a maioria dos utilitários necessãrios para construir o KDE podem ser encontrados ou em <ulink url="ftp://sunsite.unc.edu/pub/Linux/GCC"
>ftp://sunsite.unc.edu/pub/Linux/GCC</ulink
> ou em <ulink url="ftp://sunsite.unc.edu/pub/GNU"
>ftp://sunsite.unc.edu/pub/GNU</ulink
>. As bibliotecas Qt podem ser encontradas em <ulink url="ftp://ftp.troll.no/pub/qt/linux"
>ftp://ftp.troll.no/pub/qt/linux</ulink
>, disponível em fontes ou formato RPM para Linux. Ambos contém instruções detalhadas de como instalá-los. Arquivos include para os programas X11 devem estar disponíveis em <ulink url="ftp://ftp.xfree86.org"
>ftp://ftp.xfree86.org</ulink
> na seção xdevel. </para>

</sect3>
</sect2>
</sect1>

<sect1 id="suse-install">
<title
>Mudanças Necessárias Aos Seus Arquivos de Configuração </title>
<para
> Depois de colocar os binários KDE nos seus diretórios de destino, existem alguns ajustes necessários aos seus scrips de inicialização. </para>
<para
> O procedimento seguinte foi testado no SuSE Linux 5.0 e deve ser também compatível com os outros UNIXs populares. <emphasis
>Faça sempre cópias de segurança dos arquivos de configuração antes de alterá-los!</emphasis
> Adicione o seguinte ao final do seu /etc/profile: </para>
<para
> <screen
>export PATH=$PATH:/opt/kde/bin 
export KDEDIR=/opt/kde
</screen
> </para>
<para
>Em seguida, edite o arquivo .xinitrc no seu diretório base. Olhe para a linha que chama o seu gerenciador de janelas e substitua-a por <literal
>startkde</literal
>.</para>
<para
>Agora que todo o necessário para executar o KDE está instalado, você pode ir para o capítulo 4 onde irá começar o KDE pela primeira vez. Se aguma coisa correr mal, pode precisar de compilar o KDE. Leia<emphasis
> <link linkend="source-distribution"
>Usar a Compilação do Código Para Instalar por Cima de Outros Sistemas</link
> </emphasis
>para mais informação. </para>
<para
>Fizemos a instalação o mais robusta possível, por isso não deve encontrar problemas sérios a não ser que a sua configuração seja muito estranha. Se tiver dificuldades sinta-se á vontade para usar <link linkend="mailing-lists"
>as listas de correio do KDE</link
> </para>
</sect1>
</chapter>

